<?php
require_once(__DIR__ .'/../Medoo/Medoo.php');

// Using Medoo namespace
use Medoo\Medoo;



/**
 * 
 */
class Admin {
	private $_db,
	        $_data,
			$_sessionAdmin,
			$_cookieName,
			$_isLoggedIn;
	
	public function __construct($admin = null) 
	{
	 $this->_db = new Medoo([
		// required
		'database_type' => Config::get('medoo/database_type'),
		'database_name' => Config::get('medoo/db'),
		'server' => Config::get('medoo/host'),
		'username' => Config::get('medoo/username'),
		'password' => Config::get('medoo/password'),
	]);
	 
	 $this->_sessionAdmin = Config::get('session/session_admin');		
	 $this->_cookieName = Config::get('remember/cookie_name');	
	 
	 if (!$admin) {
		if (Session::exists($this->_sessionAdmin)) {
		  $admin = Session::get($this->_sessionAdmin);
		  if ($this->find($admin)) {
			 $this->_isLoggedIn = true;
		  }else {
			  //Process logout
		  }		
		} 
	 } else {
		 $this->find($admin);
	 }
	}
	
	public function update($fields = array(), $where)
	{
	  if (!$where && $this->isLoggedIn()) {
		  $adminid = $this->data()["adminid"]; 
	  }
		
	  if (!$this->_db->update('admin', $fields, $where)) {
		throw new Exception('There was an a problem updating.');
		 
	  }	
	}
	
	public function create($fields = array())
	{
	  if (!$this->_db->insert('admin', $fields)) {
		throw new Exception('There was an a problem creating an account.');
		 
	  }	
	}
	
	public function find($admin = null)
	{
	  if ($admin) {
		 $field = (is_numeric($admin)) ? 'adminid' : 'email';
		 $datas = $this->_db->select("admin", "*", [$field => $admin]);
         foreach($datas as $data) {}		 
		 
		 if($datas == true){
			 if ($data) {
				$this->_data = $data;
				return true;  
			 }
		 }
	  }	
	 return false;	
	}
	
	public function login($email = null, $password = null, $remember = false)
	{
	 if (!$email && !$password && $this->exists()) {
	 	Session::put($this->_sessionAdmin, $this->data()["adminid"]);
		 
	 } else {
		 
	  $admin = $this->find($email);
	  if ($admin) {		
	      
	      //die(Hash::make($password, $this->data()["salt"]));
		  
		 if (password_verify($password, $this->data()["password"])) {
			Session::put($this->_sessionAdmin, $this->data()["adminid"]);
			
			if ($remember) {
			 $hash = Hash::unique();
			 $hashChecks = $this->_db->select("users_session", "*", ["user_id" => $this->data()["adminid"]]);
             foreach($hashChecks as $hashCheck) {}	
			 
			 if (!$hashCheck) {
				$this->_db->insert('users_session', array(
				  'user_id' => $this->data()["adminid"],
				  'hash' => $hash
				)); 
			 } else {
			   $hash = $hashCheck["hash"];
			 }
			 Cookie::put($this->_cookieName, $hash, Config::get('remember/cookie_expiry'));
			} 
			 
			return true; 
		 } 
	  }
	 }
	  return false;
	}
				
	public function hasPermission($key)
	{
	 $group = $this->_db->get("groups", "*", ["id" => $this->data()->user_type]);
	 
	 if ($group->count()) {
	   $permissions = json_decode($group->first()->permissions, true);
	   
	   if (isset($permissions[$key]) == true) {
		  return true;
	   }	 
		 
	 }
	  return false;	
	}
		
	public function exists()
	{
	 return (!empty($this->_sessionAdmin)) ? true : false;	
	}
	
	public function logout()
	{
	  $this->_db->delete("users_session", ["user_id" => $this->data()["adminid"]]);
		
	  Session::delete($this->_sessionAdmin);
	  Cookie::delete($this->_cookieName);
	}
	
	public function data()
	{  
	  return $this->_data;
	}
	
	
    public function isLoggedIn()
	{
	  return $this->_isLoggedIn;
	}
	
}




?>